<?php

include_once ("includes/setup.inc.php");
//Header("Content-type: application/xml");
Header("Cache-Control: no-cache");

$num_errors = 0;
$appointment = fetch_postget_val("appointment", $_POST, $_GET);
$dateTimeNow = dateTimeNow();
$id = 0;

try
{
	$PASS_COUNTER = 0; //COUNTER FOR DOUBLE CONFIRM
	$PASS_VALUE = 1; //NUMBER OF QUERY TO EXECUTE. IMPORTANT FOR CHECKING!!

	//PDO INIT
	$PDO->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
	$PDO->beginTransaction();

	$indicator_Array = array();
	$indicator_Array[] = array('id_vatklinik_appointment', $appointment, PDO::PARAM_INT);
	$indicator_Array[] = array('id_ubat', fetch_postget_val('id_ubat',$_POST, $_GET), PDO::PARAM_INT);
	$indicator_Array[] = array('quantity', fetch_postget_val('qty_ubat',$_POST, $_GET), PDO::PARAM_INT);
	$indicator_Array[] = array('ubat_remarks', fetch_postget_val('ubat_remarks',$_POST, $_GET), PDO::PARAM_STR);
	$indicator_Array[] = array('insert_by', $my_details->usr_id, PDO::PARAM_INT);
	$indicator_Array[] = array('tkh_insert', $dateTimeNow, PDO::PARAM_STR);
	
	if($id == 0)
	{
		$PASS_COUNTER += PDO_INSERT($PDO, 'm_appointment_ubat', $indicator_Array);
	}
	else
	{
		$whereCondition = "WHERE id_appointment_ubat = $appointment";
		$PASS_COUNTER += PDO_UPDATE($PDO, 'm_appointment_ubat', $indicator_Array, $whereCondition);
	}

	//*****************************************
	//COMMIT if PASS_COUNTER == PASS_VALUE
	//*****************************************
	if ($PASS_COUNTER == $PASS_VALUE)
	{
		$PDO->commit();
		echo $PASS_COUNTER;
	}
	else
	{
		$PDO->rollBack();
		echo -1;
	}
}
catch (Exception $e) 
{
	$PDO->rollBack();
	echo "Failed: " . $e->getMessage();
}

?>